#!/bin/sh

. /etc/coyote/coyote.conf

(

echo "name_server = $DNS1"

echo -n "ppp_detect = "

if [ "$INETTYPE" = "PPP" ]; then
  echo "yes" 
else
  echo "no"
fi

echo "purge_time = 172800"
echo "deny_file = /etc/dproxy.deny"
echo "cache_file = /var/state/dproxy/dproxy.cache"
echo "hosts_file = /etc/hosts"
echo "dhcp_lease_file = /var/state/dhcp/dhcp.leases"
echo "ppp_dev = /var/run/ppp0.pid"
echo "debug_file ="

) > /etc/dproxy.conf
