/* user.h
 *
 * Copyright (C) 2001 Michael McTernan,
 *   Michael.McTernan.2001@cs.bris.ac.uk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef USER_HEADER
#define USER_HEADER

#include "request.h"

/* Root for the file store */
#define USER_ROOT "/var/httpd/"

/* Web URL that maps to above */
#define USER_WWW_VROOT     "/user/"

/* Escaped version of above */
#define USER_WWW_VROOT_ESC "\\/user\\/"

/* If defined, server chroots just prior to running user cgi */ 
//#define USER_CGI_CHROOT 

/* If defined, PATH has this appended to it */
#define USER_CGI_PATH_APPEND ":" USER_ROOT "cgi-bin"

/* Function to check user pages */
int checkUser(int sock,request_t req);

#endif


