#!/bin/sh

. /etc/coyote/coyote.conf


echo "<h2>DHCP Server Configuration</h2>"
echo "<p>DHCP is a protocol by which networked devices can automatically be configured with"
echo "IP addresses, netmasks and DNS server addresses.</p>"
echo "<p><I>NOTE: If there is already a DHCP server running on your network,"
echo " you will probably want to disable this option.</i></p>"

echo "<center>"
echo "<form action=\"/cgi-bin/dhcpd-config-set.cgi\" method=\"GET\">"
echo "<table border=\"0\">"
echo "<tr><td colspan=\"3\" bgcolor=\"lightgrey\"><b><i>DHCP Settings</i></b></td></tr>"

echo -n "<tr><td>Enable DHCP Server</td><td><input type=\"checkbox\" name=\"en\" "
[ -n "`pidof dhcpd`" ] && echo -n "checked"
echo "></td></tr>"

echo -n "<tr><td>Start DHCP Server at boot</td><td><input type=\"checkbox\" name=\"as\" "
[ "$DHCPD_AUTOSTART" = "NO" ] || echo -n "checked"
echo "></td></tr>"

echo "<tr><td>Starting IP address</td><td><input type=\"text\" name=\"sip\" value=\"$DHCPD_START_IP\"></td></tr>"
echo "<tr><td>Ending IP address</td><td><input type=\"text\" name=\"eip\" value=\"$DHCPD_END_IP\"></td></tr>"

echo "<tr><td>Domain name</td><td><input type=\"text\" name=\"dom\" value=\"$DOMAINNAME\"></td></tr>"

echo "<tr><td colspan=2><center><input type=\"submit\" value=\"Set\"></center></td></tr>"

echo "</table></form></center><br>"
