#!/bin/sh 

echo "<h2>Delete port forwarding rule</h2>"

LOW=`echo $QUERY_STRING | sed "s/.*low=\([0-9]*\)\(&.*\|$\)/\1/"`
HI=`echo $QUERY_STRING | sed "s/.*high=\([0-9]*\)\(&.*\|$\)/\1/"`
DIP=`echo $QUERY_STRING | sed "s/.*ip=\([0-9]*\.[0-9]*\.[0-9]*\.[0-9]*\)\(&.*\|$\)/\1/"`
PROTO=`echo $QUERY_STRING | sed "s/.*proto=\(tcp\|ip\)\(&.*\|$\)/\1/"`

sed "s/^ipmasqadm *autofw *-A *-r *$PROTO *$LOW *$HI *-h *$DIP$//" /etc/rc.d/rc.portfwd > /tmp/rc.portfwd
rm -f /etc/rc.d/rc.portfwd
mv /tmp/rc.portfwd /etc/rc.d/rc.portfwd

echo "<p>Forwarding rule deleted</p>"

echo "<ul>"
echo "<li><a href=\"/cgi-bin/ipfwd-list.cgi\">Port forwarding</a>"
echo "<li><a href=\"/cgi-bin/ipchains.c\">Firewall ruleset</a><br><br>"
echo "<li><a href=\"/\">Main menu</a>"
echo "</ul>"
 
touch /etc/coyote/coyote.conf.dirty
