#!/bin/sh

echo "<h2>Port Forwarding</h2>"
echo "<table border=\"1\" cellpadding=\"2\" width=\"100%%\">"
echo "<tr><td><i><b>Protocol</b></i></td>"
echo "<td><i><b>Incoming port</b></i></td>"
echo "<td><i><b>Redirect to IP address</b></i></td><td></td></tr>"

if [ -r /etc/rc.d/rc.portfwd ] && [ -n "`cat /etc/rc.d/rc.portfwd`" ]; then
  cat /etc/rc.d/rc.portfwd | grep ipmasqadm | sed "s/^ipmasqadm.*-r *\([a-zA-Z]*\) *\([0-9]*\) *\([0-9]*\) *-h *\([0-9\.]*\)/<tr><td>\1<\/td><td>\2<\/td><td><a href=\"\/cgi-bin\/dnslookup.c?q=\4\">\4<\/a><\/td><td><a href=\"\/cgi-bin\/ipfwd-delete.cgi?proto=\1\&low=\2\&high=\3\&ip=\4\">Delete<\/a><\/td><\/tr>/"
else
	echo "<tr><td colspan=5><i>No rules</i></tr>"
fi

echo "</table>"

echo "<ul>"
echo "<li><a href="/ipfwd-add.html">Add forwarding rule</a><br><br>"
echo "<li><a href="/">Main menu</a></ul>"


