#!/bin/sh

. /etc/coyote/coyote.conf

getval () {
  VAL=`echo $QUERY_STRING | sed "s/.*$PARAM=\([^&]*\)\(&.*\|$\)/\1/"`
  for EXP in "y/+/ /" ":s;/%26/s//\&/;t s" ":s;/%3D/s//\=/;t s" \
             ":s;/%2F/s//\//;t s" ":s;/%3A/s//\:/;t s" ; do
    VAL=`echo $VAL | sed -e "$EXP"` 
  done 
}

echo "<h2>Changed Default ISP</h2>"

if [ -z "$QUERY_STRING" ]; then
  echo "<p>Malformed request</p><ul><li><a href=\"/\">Main menu</a></ul>"
  exit
fi

PARAM=isp; getval; ISP="$VAL"

(
  echo ". /etc/coyote/coyote.conf"
  echo "rm -f /etc/coyote/coyote.conf" 

  echo "PPP_ISP=\"$VAL\""
  echo "(" 
  cat /etc/coyote/coyote.conf | sed "s/\([^=]*\).*/echo \"\1=\\\\\"$\1\\\\\"\"/" 
  echo ") > /etc/coyote/coyote.conf" 

) > /tmp/coyote.rebuild

. /tmp/coyote.rebuild
rm -f /tmp/coyote.rebuild

echo "<p>Your default connection has been set to '$ISP'."  

if [ "$PPP_AUTOSTART" = "YES" ]; then
  echo "This connection is now the one that will be automatically started"
  echo "at bootup."
fi

echo "</p>"

touch /etc/coyote/coyote.conf.dirty

echo "<ul><li><a href=\"/cgi-bin/ppp-config-menu.cgi\">PPP and ISP settings</a><br><br>" 
echo "<li><a href=\"/\">Main menu</a></ul>"
