#!/bin/sh

. /etc/coyote/coyote.conf

echo "<h2>Delete ISP Connection</h2>"

if [ -n "$QUERY_STRING" ]; then
  ISP=`echo $QUERY_STRING | sed "s/.*isp=\([^&]*\)\(&.*\|$\)/\1/"`
fi

if [ -z "$ISP" ]; then
  echo "<p>Malformed request</p>"  
else
  rm -f /etc/ppp/$ISP.env
  echo "<p>Connection '$ISP' deleted.</p>"
  if [ "$ISP" = "$PPP_ISP" ]; then
    ISP=`ls /etc/ppp/*.env 2> /dev/null | sed "s/\/.*\/\([^\.]*\)\.env/\1/"  | head -n 1`
    sed "s/^PPP_ISP=.*$/PPP_ISP=\"$ISP\"/" /etc/coyote/coyote.conf > /tmp/coyote.conf
    rm -f /etc/coyote/coyote.conf
    mv /tmp/coyote.conf /etc/coyote
		echo "<p>Your default connection has now been set to '$ISP'.</p>"
  fi
  touch /etc/coyote/coyote.conf.dirty
fi

echo "<ul><li><a href=\"/cgi-bin/ppp-config-menu.cgi\">PPP and ISP configuration<br><br>"
echo "<li><a href=\"/\">Main menu</ul>"


