#!/bin/sh

. /etc/coyote/coyote.conf

if [ -z "$QUERY_STRING" ]; then
  ISP=$PPP_ISP
else
  ISP=`echo $QUERY_STRING | sed "s/.*isp=\([^&]*\)\(&.*\|$\)/\1/"`
  if [ -z "$ISP" ]; then
    ISP=$PPP_ISP
  fi
fi

[ -r "/etc/ppp/$ISP.env" ] && . /etc/ppp/$ISP.env

echo "<h2>ISP Configuration</h2>"
echo "<center><form action=\"/cgi-bin/ppp-config-isp-set.cgi\" method=\"GET\">"
echo "<input type=\"hidden\" name=\"isp\" value=\"$ISP\">"
echo "<table border=\"0\">"
echo "<tr><td colspan=\"2\" bgcolor=\"lightgrey\"><b><i>ISP '$ISP'</i></b></td></tr>"
echo "<tr><td>Phone number</td><td><input type=\"text\" name=\"phonenum\" value=\"$PPP_PHONENUM\"></td></tr>"
echo "<tr><td>Username</td><td><input type=\"text\" name=\"user\" value=\"$PPP_USERNAME\"></td></tr>"
echo "<tr><td>Password</td><td><input type=\"text\" name=\"pass\" value=\"$PPP_PASSWORD\"></td></tr>"

echo -n "<tr><td>Log in during chat</td><td><input type=\"checkbox\" name=\"chatlogin\" "
[ "$PPP_CHATLOGIN" = "NO" ] || echo -n "checked"
echo "></td></tr>"

echo "<tr><td valign=\"top\">Enable BSD compression</td><td><input type=\"checkbox\" name=\"bsdcp\""
[ "$PPP_BSDCOMP" = "NO" ] || echo -n "checked"
echo "></td></tr>"
 
echo "<tr><td valign=\"top\">Enable deflate compression</td><td><input type=\"checkbox\" name=\"defcp\""
[ "$PPP_DEFLATE" = "NO" ] || echo -n "checked"
echo "></td></tr>"

echo "<tr><td valign=\"top\">Use static IP address</td><td><input type=\"checkbox\" name=\"statip\""
 
if [ -n "$PPP_STATICIP" ] && [ "$PPP_STATICIP" != "NO" ]; then
  echo -n "checked"
  IP="$PPP_STATICIP"
else
  IP=""
fi
echo "><br>Address <input type=\"text\" name=\"staticipad\" value=\"$IP\" maxlength=15 size=15></td></tr>"

echo "<tr><td colspan=\"2\"><center><input type=\"submit\" value=\"Set\"></center></td></tr>"

echo "</table></form></center>"
echo "<ul><li><a href="/">Main menu</a></ul>"


