#!/bin/sh

. /etc/coyote/coyote.conf

CONFIG=`ls -l /etc/ppp/*.env 2>/dev/null`

echo "<h2>PPP and ISP Configuration</h2>"

if [ -z "$CONFIG" ]; then
  echo "<p>No connections have yet been setup, please create a new connection</p>"
fi

echo "<center><table border=\"0\">"

if [ -n "$CONFIG" ]; then
  echo "<tr><td colspan=\"3\" bgcolor=\"lightgrey\"><b><i>Edit Connection Settings</i></b></td></tr>"
  echo "<form action=\"/cgi-bin/ppp-config-isp.cgi\" method=\"GET\">"
  echo "<tr><td>Connection</td><td><select name=\"isp\">"

  ls /etc/ppp/*.env |  sed "s/\/.*\/\([^\.]*\)\.env/<option value=\"\1\">\1/"

  echo "</td><td><input type=\"submit\" value=\"Go\"></td></tr></form>"
 
  echo "<tr><td colspan=\"3\" bgcolor=\"lightgrey\"><b><i>Set Default Connection</i></b></td></tr>"
  echo "<form action=\"/cgi-bin/ppp-config-isp-default.cgi\" method=\"GET\">"
  echo "<tr><td>Connection</td><td><select name=\"isp\">"
 
  ls /etc/ppp/*.env |  sed "s/\/.*\/\([^\.]*\)\.env/<option value=\"\1\">\1/"
 
  echo "</td><td><input type=\"submit\" value=\"Go\"></td></tr></form>"

fi


echo "<tr><td colspan=\"3\" bgcolor=\"lightgrey\"><b><i>New Connection</i></b></td></tr>"
echo "<form action=\"/cgi-bin/ppp-config-isp.cgi\" method=\"GET\">"
echo "<tr><td>Connection name</td><td><input type=\"name\" name=\"isp\"></td>"
echo "<td><input type=\"submit\" value=\"Go\"></td></tr></form>"

if [ -n "$CONFIG" ]; then
  echo "<tr><td colspan=\"3\" bgcolor=\"lightgrey\"><b><i>Delete Connection</i></b></td></tr>"
  echo "<form action=\"/cgi-bin/ppp-config-isp-delete.cgi\" method=\"GET\">"
  echo "<tr><td>Connection</td><td><select name=\"isp\">"

  ls /etc/ppp/*.env |  sed "s/\/.*\/\([^\.]*\)\.env/<option value=\"\1\">\1/"
 
  echo "</td><td><input type=\"submit\" value=\"Go\"></td></tr></form>"
fi

echo "<tr><td colspan=\"3\" bgcolor=\"lightgrey\"><b><i>Global Connection Settings</i></b></td></tr>"
echo "<form action=\"/cgi-bin/ppp-config-ppp.cgi\" method=\"GET\">"
echo "<tr><td>Edit connection settings</td><td></td>"
echo "<td><input type=\"submit\" value=\"Go\"></td></tr></form>"

echo "</table></center>"
