#!/bin/sh

. /etc/coyote/coyote.conf

parse() {
  VAL=`echo $QUERY_STRING | sed "s/.*$PARAM=\([^&]*\)\(&.*\|$\)/\1/"`
}

echo "<h2>Telnet Access Enabled</h2>"


CONTENTS=""

if [ -n "$QUERY_STRING" ]; then

  PARAM=limit; parse; 

  if [ "$VAL" = "on" ]; then
    PARAM=val; parse;CONTENTS="$VAL"

    (
    echo ". /etc/coyote/coyote.conf"   
    echo "rm -f /etc/coyote/coyote.conf" 
    echo "TELNET_LIMIT=$CONTENTS" 
    echo "(" 
    cat /etc/coyote/coyote.conf | sed "s/\([^=]*\).*/echo \"\1=\\\\\"$\1\\\\\"\"/" 
    echo ") > /etc/coyote/coyote.conf" 
		) > /tmp/coyote.rebuild
    . /tmp/coyote.rebuild
    rm -f /tmp/coyote.rebuild
  fi

fi

if [ -r /etc/remote.allow ]; then
  if [ -n "$CONTENTS" ]; then
    echo "<p>Telnet access is already enabled</p>"  
  fi
fi

echo $CONTENTS > /etc/remote.allow

ipchains -I input 1 -i ! $IF_LOCAL -p tcp --dport 23 -j DENY

killall -q slaunch 
sleep 3 
(/usr/sbin/slaunch) < /dev/null > /dev/null 2> /dev/null     

echo "<p>Telnet access has been enabled, and an firewall rule has been"
echo "added to explicitly deny access to telnet through interfaces"
echo "other than the local interface ($IF_LOCAL).</p>"

echo "<ul>"
echo "<li><a href=\"telnet:$LOCAL_IPADDR\">Telnet to Coyote</a>"  
echo "<li><a href=\"/cgi-bin/ipchains.c\">Firewall ruleset</a><br><br>"
echo "<li><a href=\"/\">Main menu</a>"
echo "</ul>"

touch /etc/coyote/coyote.conf.dirty 
