#!/bin/sh

. /etc/coyote/coyote.conf

echo "<h2>Telnet Access Disabled</h2>"

if [ ! -r /etc/remote.allow ]; then
  echo "<p>Telnet access is already disabled.</p>"
  exit
fi

rm -f /etc/remote.allow

killall -q slaunch
killall -q in.telnetd 
ipchains -D input -i ! $IF_LOCAL -p tcp --dport 23 -j DENY &> /dev/null 

echo "<p>Telnet access has been disabled, and any current connections"
echo "have been closed.</p>"

echo "<ul>"
echo "<li><a href=\"/\">Main menu</a>"
echo "</ul>"

touch /etc/coyote/coyote.conf.dirty 
