#!/bin/sh

. /etc/coyote/coyote.conf

(
echo "subnet $LOCAL_NETWORK netmask $LOCAL_NETMASK {" 
echo "	max-lease-time 7200;" 
echo "	default-lease-time 7200;" 
echo "	range $DHCPD_START_IP $DHCPD_END_IP;" 
echo "	option domain-name \"$DOMAINNAME\";" 
echo "	option subnet-mask $LOCAL_NETMASK;" 
echo "	option routers $LOCAL_IPADDR;" 

echo -n "	option domain-name-servers $LOCAL_IPADDR"
if [ ! "$INETTYPE" = "PPP" ]; then
  echo -n " $$DNS1 $DNS2" 
fi
echo ";"

echo "}" 
) > /etc/dhcpd.conf

