#!/bin/sh

. /etc/coyote/coyote.conf

if [ -n "$QUERY_STRING" ]; then
  MSERV=`echo $QUERY_STRING | sed "s/.*mserv=\([^&]*\)\(&.*\|$\)/\1/"`
  MPORT=`echo $QUERY_STRING | sed "s/.*mport=\([^&]*\)\(&.*\|$\)/\1/"`
  MUSER=`echo $QUERY_STRING | sed "s/.*muser=\([^&]*\)\(&.*\|$\)/\1/"`
  MPASS=`echo $QUERY_STRING | sed "s/.*mpass=\([^&]*\)\(&.*\|$\)/\1/"`
  MLINK=`echo $QUERY_STRING | sed "s/.*mlink=\([^&]*\)\(&.*\|$\)/\1/"`
fi

echo -e "Content-Type: text/html\r\n\r\n"

echo "<html><head><title>Mike's Homepage</title></head>"
echo "<body bgcolor=\"#FFFFFF\">"
echo "<table width=\"100%\" border=0><tr><td valign=\"top\" align=\"center\" width=\"10%\" cols=\"3\">"

if [ "$INETTYPE" = "PPP" ]; then

  echo "<font size=\"-3\">"

  if [ -z "`pidof pppd`" ]; then
    echo "Connect to:<br>"
    ls /etc/ppp/*.env 2> /dev/null |  sed "s/\/.*\/\([^\.]*\)\.env/<a href=\"\/cgi-bin\/ppp-up.cgi?isp=\1\">\1<\/a><br>/"
  else
    echo "<a href=\"/cgi-bin/ppp-down.cgi\">Stop PPP</a>" 
  fi
  echo "</font>"

fi

# Google
echo "</td><td><center><table border=\"0\" cols=\"2\"><tr><td valign=\"top\">"
echo "<img src=\"http://www.google.com/logos/Logo_25wht.gif\" width=75 height=32 alt=\"Google\">"
echo "</td><td><form action=\"http://www.google.com/search\" method=get name=f>"
echo "<input type=text value=\"\" name=q maxlength=256> "
echo "<input name=btnG type=submit value=\"Go\">"
echo "</form></td></tr></table></center></td>"

# Mail messages
echo "<td width=10% valign=\"top\" align=\"center\"><font size=\"-3\">"
if [ -n "$MSERV$MPORT$MUSER$MPASS" ]; then
  imap4 $MSERV $MPORT $MUSER $MPASS
  NUM="$?"
	if [ -n "$MLINK" ] && [ "$NUM" != "0" ]; then
		echo "<a href=\"$MLINK\">"
  fi
	
  case "$NUM" in
  0)
    echo "No new messages";;
  1)
    echo "1 new message";;
  127) ;;
  255) ;;
  254) ;;
  253) ;;
  *)
    echo "$NUM new messages";;
  esac

	if [ -n "$MLINK" ] && [ "$NUM" != "0" ]; then
		    echo "</a>"
  fi
else
  echo "Missing IMAP parameter: specify mserv, mport, muser, mpass and mlink"
fi

echo "</font></td></tr></table>"

# Table of news
rss2html slashdot.org 80 /slashdot.rdf > /tmp/slash &
rss2html blogspace.com 80 /rss/feeds/bbcNews/world > /tmp/bbc &
rss2html www.itn.co.uk 80 /itn.rdf > /tmp/itn &

echo "<center><h1>News</h1></center>"
echo "<table width=\"100%\" border=\"0\" cols=\"3\">"
echo "<tr><td width=\"33%\" valign=\"top\">"

wait %1
cat /tmp/slash

echo "</td><td width=\"33%\" valign=\"top\">"

wait %2
cat /tmp/bbc

echo "</td><td width=\"33%\" valign=\"top\">"

wait %3
cat /tmp/itn
rm -f /tmp/slash /tmp/bbc /tmp/itn 

echo "</td>"
echo "</table>"

# Dilert
echo "<center><h1>Todays Dilbert</h1></center>"

DILBERT_PAGE=`httpget www.dilbert.com 80 / |  grep "SRC=\"/comics/dilbert/archive/images/dilbert" | grep .gif | sed "s/.*IMG SRC=\"\(\/comics\/dilbert\/archive\/images\/dilbert[0-9]*.gif\)\".*/\1/"`


if [ -n "$DILBERT_PAGE" ]; then 
  echo "<center><a href=\"http://www.dilbert.com/comics/dilbert/archive/\"><img src=\"http://www.dilbert.com$DILBERT_PAGE\"></a></center>"
else
  echo "<p><i>No <a href=\"http://www.dilbert.com/\">Dilbert</a>!</i></p>"
fi

echo "</body></html>"

