/* messages.h
 *
 * Copyright (C) 2001 Michael McTernan,
 *   Michael.McTernan.2001@cs.bris.ac.uk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef MSG_HEADER
#define MSG_HEADER

void MSG_Header(int sock,int code,const char *message);
void MSG_Body(int sock,const char *message);
void MSG_PageHeader(int sock);
void MSG_PageFooter(int sock); 
void MSG_Error(int sock,int code,const char *message);
int *MSG_SetDescriptors(int sock);
void MSG_ResetDescriptors(int *r);

#endif

