/* request.h
 *
 * Copyright (C) 2001 Michael McTernan,
 *   Michael.McTernan.2001@cs.bris.ac.uk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef WEBCTL_HEADER
#define WEBCTL_HEADER


typedef struct request * request_t;


int REQ_New(int sock,request_t *req);

void REQ_Destroy(request_t *req);

const char *REQ_GetURL(request_t req);

const char *REQ_GetDemangledURL(request_t req);

const char *REQ_GetQuery(request_t req); 

const char *REQ_GetMethod(request_t req);

#endif

