#!/bin/sh


getval () {
  VAL=`echo $QUERY_STRING | sed "s/.*$PARAM=\([^&]*\)\(&.*\|$\)/\1/"`
  for EXP in "y/+/ /" ":s;/%26/s//\&/;t s" ":s;/%3D/s//\=/;t s" \
             ":s;/%2F/s//\//;t s" ":s;/%3A/s//\:/;t s" ; do
    VAL=`echo $VAL | sed -e "$EXP"`
  done
}
 
getcheck () {
  PARAM="$PARAM1"
  getval
  if [ "$VAL" = "on" ]; then
    VAL="YES"
  else
    VAL="NO"
  fi
}

if [ -z "$QUERY_STRING" ]; then 
  echo "<p>Malformed request</p>"
  exit
fi

 
(
  echo ". /etc/coyote/coyote.conf"
  echo "rm -f /etc/coyote/coyote.conf"
  PARAM1="as";getcheck;echo "DHCPD_AUTOSTART=\"$VAL\""
  PARAM="sip";getval;echo "DHCPD_START_IP=\"$VAL\""
  PARAM="eip";getval;echo "DHCPD_END_IP=\"$VAL\""
  PARAM="dom";getval;echo "DOMAINNAME=\"$VAL\""
 
  echo "("
   cat /etc/coyote/coyote.conf | sed "s/\([^=]*\).*/echo \"\1=\\\\\"$\1\\\\\"\"/"
  echo ") > /etc/coyote/coyote.conf"
) > /tmp/coyote.rebuild
 
. /tmp/coyote.rebuild
rm -f /tmp/coyote.rebuild

if [ -n "`pidof dhcpd`" ]; then
  kill `pidof dhcpd` 2> /dev/null 
  sleep 2
fi
/usr/sbin/mkdhcpconf.sh 

PARAM1="en"; getcheck
if [ "$VAL" = "YES" ]; then
  dhcpd -q $IF_LOCAL 
fi

echo "<p>Configuration changes have been made</p>"
if [ -n "`pidof dhcpd`" ]; then
  echo "<p>The DHCP server is now running with the updated configuration.</p>"
else
  echo "<p>The DHCP server is not running since you did not enable it.</p>"
fi

echo "<ul><li><a href=\"/\">Main menu</a>"
echo "</ul>"

touch /etc/coyote/coyote.conf.dirty  
