#!/bin/sh

. /etc/coyote/coyote.conf

echo "<h2>Network Options Menu</h2>"
echo "<ul>"

if [ "$INETTYPE" = "PPP" ]; then 
  echo "<li><a href=\"/cgi-bin/ppp-status.cgi\">PPP status</a>"
  echo "<li><a href=\"/cgi-bin/ppp-config-menu.cgi\">PPP and ISP configuration</a><br><br>"
fi

if [ "$DHCP_SERVER" = "YES" ]; then
  echo "<li><a href=\"/cgi-bin/dhcpd-config.cgi\">DHCP server configuration</a><br><br>"
fi

echo "<li><a href=\"/cgi-bin/ipchains.c\">View or edit firewall ruleset</a>"
echo "<li><a href=\"/cgi-bin/ipfwd-list.cgi\">View or edit port forwarding</a><br><br>"

echo "<li><a href=\"/cgi-bin/ipaddr.cgi\">Configure firewall network and DNS settings</a>"
echo "<li><a href=\"/cgi-bin/telnet.cgi\">Configure firewall telnet access</a><br><br>"

echo "<li><a href=\"/\">Main menu</a>"
echo "</ul>"


