#!/bin/sh

. /etc/coyote/coyote.conf

echo "<h2>Start PPP</h2>"


PPPID=`pidof pppd`
DEMAND=`grep demand /etc/ppp/options 2> /dev/null`

if [ -n "$PPPPID" ]; then

  echo "<p>PPPD is already running under process $PPPPID.</p>"

  if [ -n "$DEMAND" ]; then
    echo "<p>PPP is configured for demand dialing.  The link will be"
    echo "raised and lowered as needed.</p>"
  fi

  echo "<ul><li><a href="ppp-down.cgi">Kill pppd</a>"
  echo "<li><a href=\"/\">Main menu</a></ul>"  
  exit

fi 


if [ -n "$QUERY_STRING" ]; then
  ISP=`echo $QUERY_STRING | sed "s/.*isp=\([^&]*\)\(&.*\|$\)/\1/"`
  if [ -z "$ISP" ]; then
    ISP="$PPP_ISP"
  fi
else
  ISP="$PPP_ISP"  
fi

. /etc/ppp/mkpppconfig
(pppd call isp) < /dev/null > /dev/null 2> /dev/null
echo "<p>PPPD has been started.  Connecting to '$ISP'.</p>"

if [ -n "$DEMAND" ]; then
  echo "<p>PPP is configured for demand dialing.  The link will be"
  echo "raised and lowered as needed.</p>"
  echo "<ul><li><a href=\"/\">Main menu</a></ul>"  
  exit
else
  echo "<META HTTP-EQUIV=\"refresh\" content=\"3;URL=ppp-status.cgi?update=5\">"
fi

echo "<ul>"
echo "<li><a href=\"ppp-status.cgi?update=1\">Monitor connection status.</a>"
echo "<li><a href=\"/\">Main menu</a>"
echo "</ul>"

 
