#!/bin/sh
# Small script to remove files that are redundant in a ppp version of
#  coyote linux that might otherwise waste space on a floppy

if [ -d coyote ]; then
  cd coyote
fi

if [ ! -d pkgsrc ]; then
  echo "Not in coyote directory"
  exit 0;
else
  cd pkgsrc
fi

rm -fv root/usr/sbin/tcpd root/usr/sbin/ticker root/usr/sbin/arp \
       root/usr/sbin/lrcfg root/usr/sbin/showcfg root/usr/sbin/lrcfg.conf \
       root/usr/sbin/lrcfg.conf.packs root/usr/sbin/rlaunch root/sbin/dhcpcd \
       ppp/usr/sbin/ppp-autoconf 

# A bug in an earlier webctl made it into the v1.31 distro...
rm -rfv webctl/var/httpd/user  

find . -name "*.help" -exec rm -fv {} \;
